Identity, people & notifications

Whoami Authorised

Returns the caller user, every org role with org feature flags, KYC details and Persona enablement.

GEThttps://api.toku.com/platform/whoami-authorised

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/platform/whoami-authorised' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "hrAutomationOnly": true,
  "kycDetails": {
    "roleInOrgID": "string",
    "kycID": "string",
    "kycLink": "string",
    "kycStatus": "VERIFIED",
    "message": "string"
  },
  "isPersonaEnabled": true,
  "roles": [
    {
      "roleInOrgID": "string",
      "invitedByRecipientID": "string",
      "role": "TOKU_ADMIN",
      "orgID": "string",
      "isTerminated": true,
      "lifecycleStatus": "INVITED",
      "org": {
        "orgID": "string",
        "orgName": "string",
        "tokenName": "string",
        "orgArchitectureVersion": "LEGACY_TGA_FIRST",
        "isStableCoinPayrollEnabled": true,
        "isClientAdminHrisSyncedOrg": true,
        "finishedStablecoinPayrollOnboarding": true,
        "enablePaxos": true,
        "enableYo": true,
        "yoEverEnabled": true,
        "enableMorpho": true,
        "enableMultiCurrencyInvoices": true,
        "isHRISEnabled": true,
        "hrisOrgID": "string",
        "isOktaEnabled": true
      },
      "invitedByInvestorID": "string",
      "invitedByInvestorName": "string",
      "isOrgMarketMaker": true,
      "investorEntities": [
        {
          "investorEntityID": "string",
          "entityName": "string"
        }
      ],
      "onboarded": true
    }
  ],
  "user": {
    "userID": "string",
    "person": {
      "personID": "string",
      "givenName": "string",
      "familyName": "string"
    },
    "loginEmail": "string",
    "isMfaEnabled": true
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
hrAutomationOnlyboolean
kycDetailsobjectrequired
Show child attributes
roleInOrgIDstringrequired
kycIDstringrequired
kycLinkstringrequired
kycStatusstringrequired

Available options: VERIFIED, PENDING, COMPLETED, REJECTED

messagestring
isPersonaEnabledbooleanrequired
rolesobject[]required
Show child attributes
roleInOrgIDstring | nullrequired
invitedByRecipientIDstring | nullrequired
rolestringrequired

Available options: TOKU_ADMIN, CLIENT_ORG_ADMIN, CLIENT_ORG_APPROVER, FINANCE_ADMIN, USER, INVESTOR, SUB_INVESTOR, SUB_RECIPIENT

orgIDstringrequired
isTerminatedboolean
lifecycleStatusstring | null

Available options: INVITED, ONBOARDING, ACTIVE, OFFBOARDING, TERMINATED, ARCHIVED, null

orgobjectrequired
Show child attributes
orgIDstringrequired
orgNamestringrequired
tokenNamestring | nullrequired
orgArchitectureVersionstring | null

Available options: LEGACY_TGA_FIRST, PEOPLE_MANAGEMENT_FIRST, null

isStableCoinPayrollEnabledboolean | null
isClientAdminHrisSyncedOrgboolean | null
finishedStablecoinPayrollOnboardingboolean | null
enablePaxosboolean | null
enableYoboolean | null
yoEverEnabledboolean | null
enableMorphoboolean | null
enableMultiCurrencyInvoicesboolean | null
isHRISEnabledboolean | null
hrisOrgIDstring | null
isOktaEnabledboolean | null
invitedByInvestorIDstring | nullrequired
invitedByInvestorNamestring | nullrequired
isOrgMarketMakerbooleanrequired
investorEntitiesobject[]required
Show child attributes
investorEntityIDstringrequired
entityNamestringrequired
onboardedbooleanrequired
userobject | nullrequired
Show child attributes
userIDstringrequired
personobjectrequired
Show child attributes
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
loginEmailstringrequired
isMfaEnabledbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits